// Fog

textures/ut4_nin_xmas/fog_pgrounds
{
	qer_editorimage textures/ut4_nin_xmas/fog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	q3map_globaltexture

	fogparms ( .250 .250 .250 ) 500

	{
		map textures/ut4_nin_xmas/fogcloud1.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/ut4_nin_xmas/fogcloud2.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}

}

textures/northpole_alpha15/skybox
{
	qer_editorimage textures/northpole_alpha15/skybox.tga
	q3map_skylight 100 6
	q3map_sunExt 0.9 0.9 0.9 18 270 25 0.5 16     // r g b intensity degrees elevation deviance samples
	skyparms env/northpole/northpole 1024 -
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm sky
}


textures/snowland/sky
{
    qer_editorimage textures/ut4_nin_xmas/sky.jpg
    q3map_sunext .96 .96 .94 250 90 90 3 32      // r g b intensity degrees elevation deviance samples
    
	q3map_skylight 100 6
    //Fakeo Ambient
    //q3map_sun 0.83  0.91  1 100 45 90

    //q3map_lightsubdivide 4096
    //q3map_surfacelight 100

    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    nopicmip
    nomipmaps

    skyparms env/speedmap_sky/speedmap - -
}

textures/ntrnsc/fern2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	cull disable
	{
		map textures/ntrnsc/fern2.tga
		alphaFunc GE128
	}
}

textures/ut4_nin_xmas/ninlogo4
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm alphashadow
	cull disable
	{
		map textures/ut4_nin_xmas/ninlogo4.tga
		alphaFunc GE128
	}
    {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/ut4_nin_xmas/slidey
{
    qer_editorimage textures/coldwar/vv_snow_1.jpg
    surfaceparm slick
    surfaceparm nodamage
	{
		map textures/coldwar/vv_snow_1.jpg
        rgbGen identity
	}
    {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/ut4_nin_xmas/botong02nm
{
    qer_editorimage textures/codey1/botong02nm.jpg
    surfaceparm nodamage
	{
		map textures/codey1/botong02nm.jpg
        rgbGen identity
	}
    {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_nin_xmas/mrc_metaldark
{
    qer_editorimage textures/urban_terror3/mrc_metaldark.jpg
    surfaceparm nodamage
	{
		map textures/urban_terror3/mrc_metaldark.jpg
        rgbGen identity
	}
    {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


textures/ut4_nin_xmas/sidewalk_tiles
{
    qer_editorimage textures/rjlut1/sidewalk_tiles.jpg
    surfaceparm nodamage
	{
		map textures/rjlut1/sidewalk_tiles.jpg
        rgbGen identity
	}
    {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// todo is this used?
textures/ut4_nin_xmas/portal
{
	qer_editorimage textures/common/qer_portal.tga
    qer_trans 0.50
	surfaceparm nolightmap
    surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	{
		map textures/common/mirror1.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
}

textures/ut4_nin_xmas/boxS2
{
    qer_editorimage textures/ajump/boxS2.jpg
    surfaceparm nodamage
	{
		map textures/ajump/boxS2.jpg
        rgbGen identity
	}
    {
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}


